### Method

# Camel Folder dup_uids

since: 3.58

#### Declaration [src]

    GPtrArray*
    camel_folder_dup_uids (
      CamelFolder* folder
    )

#### Description [src]

Duplicates a list of UIDs available in the `folder`. Free the array with g_ptr_array_unref(), when no longer needed.

Available since: 3.58

#### Return value

Type: An array of `utf8`

A new `GPtrArray` of UIDs corresponding to the messages available in the `folder`.

The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.